Lavalite package that provides volunteer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `volunteer/volunteer`.

    "volunteer/volunteer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Volunteer\Volunteer\Providers\VolunteerServiceProvider::class,

And also add it to alias

    'Volunteer'  => Volunteer\Volunteer\Facades\Volunteer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Volunteer\\VolunteerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Volunteer\Volunteer\Providers\VolunteerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Volunteer\Volunteer\Providers\VolunteerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Volunteer\Volunteer\Providers\VolunteerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/volunteer/{modulename}

**User**

    http://path-to-route-folder/user/volunteer/{modulename}

**Public**

    http://path-to-route-folder/volunteers


### API endpoints

**List**

    http://path-to-route-folder/api/user/volunteer/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/volunteer/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/volunteer/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/volunteer/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/volunteer/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/volunteer/{modulename}/{slug}
    METHOD: GET